/**
 * \file
 * \version		1.0
 * \date 		2013-10-06
 * \author		Joel Guittet - http://myfreescalewebpage.free.fr
 * 
 * \brief		This file is the header coming with eeprom.c
 * 
 * \verbatim
 * 
 * EEPROM Application Note
 * 
 * Copyright (C) 2013 MyFreescaleWebPage
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * Change History
 * 
 * Version	| Author		| Description
 * ----------------------------------------------------------------------------------------------------------------------------------------
 * 1.0		| Joel Guittet	| Initial Release
 * 1.1      | Joel Guittet	| Port to CodeWarrior 10.5, rewrite application note
 * 
 * \endverbatim
 */


/*---------------------------------------------------------------------------------------------------------------------------------------*/
/* Includes                                                                                                                              */
/*---------------------------------------------------------------------------------------------------------------------------------------*/

#include <hidef.h>
#include "derivative.h"
#include "typedef.h"


/*---------------------------------------------------------------------------------------------------------------------------------------*/
/* Definitions                                                                                                                           */
/*---------------------------------------------------------------------------------------------------------------------------------------*/

/**
 * EEPROM Memory Definitions - Those values can be modified if the program is used on an other microcontroller with a different mapping
 */
#define EEPROM_ADDRESS          0x1400
#define PAGE_SIZE               1024
#define EEPROM_SIZE             2048


/*---------------------------------------------------------------------------------------------------------------------------------------*/
/* Prototypes                                                                                                                            */
/*---------------------------------------------------------------------------------------------------------------------------------------*/

void EEPROM_Init(void);
BOOLEAN EEPROM_Read(UINT16 u16Address, UINT8* pBuffer);
BOOLEAN EEPROM_Write(UINT16 u16Address, UINT8* pBuffer);
BOOLEAN EEPROM_Erase(void);
