/**
 * \file
 * \version		1.0
 * \date 		2013-09-07
 * \author		Joel Guittet - http://myfreescalewebpage.free.fr
 * 
 * \brief		This file is used to define types for MC9S08, Coldfire V1 and Kinetis devices
 * 
 * \verbatim
 * 
 * EEPROM Application Note
 * 
 * Copyright (C) 2013 MyFreescaleWebPage
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * Change History
 * 
 * Version	| Author		| Description
 * ----------------------------------------------------------------------------------------------------------------------------------------
 * 1.0		| Joel Guittet	| Initial Release 
 * 
 * \endverbatim
 */


#ifndef TYPEDEF_H_
#define TYPEDEF_H_


/*---------------------------------------------------------------------------------------------------------------------------------------*/
/* Definitions                                                                                                                           */
/*---------------------------------------------------------------------------------------------------------------------------------------*/

typedef unsigned char						BOOLEAN;			/**< Boolean definition */
#define FALSE 								0					/**< FALSE value definition */
#define TRUE 								1					/**< TRUE value definition */

typedef unsigned char						UINT8;				/**< Unsigned 8 bits definition */
typedef unsigned char						BYTE;				/**< Unsigned 8 bits definition */

typedef unsigned short						UINT16;				/**< Unsigned 16 bits definition */
typedef unsigned short  					WORD;				/**< Unsigned 16 bits definition */

typedef unsigned long						UINT32;				/**< Unsigned 32 bits definition */
typedef unsigned long						DWORD;				/**< Unsigned 32 bits definition */

typedef char    							INT8;				/**< Signed 8 bits definition */
typedef char    							CHAR;				/**< Signed 8 bits definition */

typedef short          						INT16;				/**< Signed 16 bits definition */

typedef long int       						INT32;				/**< Signed 32 bits definition */				


#endif /* TYPEDEF_H_ */
